# Uses of Interface
org.apache.avro.SchemaValidator

Packages that use SchemaValidator
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaValidator in org.apache.avro

Classes in org.apache.avro that implement SchemaValidator
Modifier and Type
Class
Description
`final class`
`ValidateAll`
A `SchemaValidator` for validating the provided schema against all schemas in the Iterable in `ValidateAll.validate(Schema, Iterable)`.
`final class`
`ValidateLatest`
A `SchemaValidator` for validating the provided schema against the first `Schema` in the iterable in `ValidateLatest.validate(Schema, Iterable)`.
Methods in org.apache.avro that return SchemaValidator
Modifier and Type
Method
Description
`SchemaValidator`
SchemaValidatorBuilder.`validateAll()`
`SchemaValidator`
SchemaValidatorBuilder.`validateLatest()`